commons-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Niall Pemberton (JIRA)" <j...@apache.org>
Subject [jira] Updated: (SANDBOX-317) Supporting different JDK versions
Date Thu, 26 Nov 2009 02:40:39 GMT

     [ https://issues.apache.org/jira/browse/SANDBOX-317?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Niall Pemberton updated SANDBOX-317:
------------------------------------

    Attachment: SANDBOX-317.patch

> Supporting different JDK versions
> ---------------------------------
>
>                 Key: SANDBOX-317
>                 URL: https://issues.apache.org/jira/browse/SANDBOX-317
>             Project: Commons Sandbox
>          Issue Type: Improvement
>          Components: Runtime
>            Reporter: Niall Pemberton
>            Priority: Minor
>         Attachments: SANDBOX-317.patch
>
>
> I took a look at the ant build to see what it was doing to conditionally compile for
different JDK versions.
> Currently there is only one JDK 1.6 method used on java.io.File - in this circumstance
then its possible to compile with JDK 1.6, but specify a target of 1.5 any catch the NoSuchMethodException.
> Doing this means the its easy to get the build to work with maven2.
> I guess though from the JAVA7 properties in build.xml that theres more to come thats
not just new methods and this technique won't work.
> Anyway the PMD report churned out a bunch of stuff which might be worth reviewing

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message